// 
//  Copyright (C) 2008  Smithsonian Astrophysical Observatory
//
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along
//  with this program; if not, write to the Free Software Foundation, Inc.,
//  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//


#ifndef CIAOANALYSISMENU_HH
#define CIAOANALYSISMENU_HH

#include <gtk/gtk.h>
#include <iostream>
#include <string>

#include "CiaoToolList.hh"
#include "CiaoGuiDefsP.hh"

using namespace std;

class CiaoAnalysisMenu
{
  public:
    CiaoAnalysisMenu(string menufile, GtkTooltips* tips=NULL, 
                     funcPtr fp=NULL, statusFuncPtr sfp=NULL);
    void configure_menu(string menufile); 
    virtual ~CiaoAnalysisMenu();

    static int execute_cmd_cb(gpointer user_data);

    virtual int show();

    GtkWidget* base_widget()   { return base_w; }

  protected:
    GtkTooltips* _tips;          // tooltips object  
    GtkWidget *menu;             // analysis menu 
    GtkWidget *base_w;           // base menu item widget  
    CiaoToolList* _ctlist;       // tool list configured from menufile 
    string     _menufile;        // specified file to load  
    string     _loadedfile;      // actual file loaded  
    gboolean   menu_loaded;      // has the menu been loaded  
    funcPtr    replace_filename; // replace filename function pointer
    statusFuncPtr status_message; // function pointer to set status message
};

#endif 
