#! /bin/sh

function prism_test001()
{
   echo " -- TEST LOAD ASCII TABLE" >>  $OUTFILE 
   xpaset -p prism file $INDIR/rgb.txt >> $OUTFILE
   sleep  $SLEEP_DURATION
   xpaget prism file >>  $OUTFILE
   echo "" >> $OUTFILE
   xpaget prism tab -count >>  $OUTFILE
   echo "" >> $OUTFILE

   echo "" >> $OUTFILE
   echo " -- TEST LOAD FITS TABLE IN SAME EXTENSION " >>  $OUTFILE
   xpaset -p prism file $INDIR/errs.fits >> $OUTFILE
   sleep $SLEEP_DURATION
   xpaget prism file >>  $OUTFILE
   echo "" >> $OUTFILE
   xpaget prism tab -count >>  $OUTFILE
   echo "" >> $OUTFILE

   echo "" >> $OUTFILE
   echo " -- TEST LOAD FITS IMAGE IN NEW EXTENSION " >>  $OUTFILE
   xpaget prism file -newtab $INDIR/contour_small.fits >> $OUTFILE
   sleep $SLEEP_DURATION
   xpaget prism file >>  $OUTFILE
   echo "" >> $OUTFILE
   xpaget prism tab -count >>  $OUTFILE
   echo "" >> $OUTFILE

   echo "" >> $OUTFILE
   echo " -- TEST SWITCH EXTENSION " >>  $OUTFILE
   
   xpaget prism tab -current >>  $OUTFILE
   echo "" >> $OUTFILE
   xpaget prism tab 0 >>  $OUTFILE
   xpaget prism file >>  $OUTFILE
   echo "" >> $OUTFILE
   xpaget prism tab 1 >>  $OUTFILE
   xpaget prism file >>  $OUTFILE
   echo "" >> $OUTFILE

   xpaget prism tab -remove
   xpaget prism tab -count >>  $OUTFILE
   echo "" >> $OUTFILE
   xpaget prism file >>  $OUTFILE
   echo "" >> $OUTFILE

   xpaget prism quit
}

function prism_test002()
{

   echo " -- TEST PLOT 2 COLUMNS " >>  $OUTFILE 
   echo "" >>  $OUTFILE
   xpaset -p prism file $INDIR/errs.fits >> $OUTFILE
   sleep $SLEEP_DURATION
   xpaget prism file >>  $OUTFILE
   echo "" >> $OUTFILE
   xpaget prism tab -count >>  $OUTFILE
   echo "" >> $OUTFILE

   xpaset -p prism select col 0
   xpaset -p prism select col 1
   xpaset -p prism plot

   sleep $SLEEP_DURATION

   echo " Check plot... " >> $OUTFILE
   echo "" >> $OUTFILE

   chipsid=`xpaget prism get id`
   echo "from pychips import *;connect('$chipsid');print info()" | python  >> $OUTFILE

   xpaget prism quit
}

function prism_test003()
{
   echo " -- TEST PLOT 3 COLUMNS (x,y,errs)" >>  $OUTFILE 
   echo "" >>  $OUTFILE
   xpaset -p prism file $INDIR/errs.fits >> $OUTFILE
   sleep $SLEEP_DURATION
   xpaget prism file >>  $OUTFILE
   echo "" >> $OUTFILE
   xpaget prism tab -count >>  $OUTFILE
   echo "" >> $OUTFILE

   xpaset -p prism select col 1
   xpaset -p prism select col 0
   xpaset -p prism select col 2
   xpaset -p prism plot

   sleep $SLEEP_DURATION

   echo " Check plot... " >> $OUTFILE
   echo "" >> $OUTFILE

   chipsid=`xpaget prism get id`
   echo "from pychips import *; connect('$chipsid');print info()" | python  >> $OUTFILE

   xpaget prism quit
}

function prism_test004()
{
   echo " -- TEST HISTOGRAM" >>  $OUTFILE 
   echo "" >>  $OUTFILE
   xpaset -p prism file $INDIR/rgb.txt >> $OUTFILE
   sleep $SLEEP_DURATION
   xpaget prism file >>  $OUTFILE
   echo "" >> $OUTFILE
   xpaget prism tab -count >>  $OUTFILE
   echo "" >> $OUTFILE

   xpaset -p prism select col 1
   xpaset -p prism histogram

   sleep $SLEEP_DURATION

   echo " Check histogram... " >> $OUTFILE
   echo "" >> $OUTFILE

   chipsid=`xpaget prism get id`
   echo "from pychips import *;connect('$chipsid');print info()" | python >> $OUTFILE

   xpaget prism quit
}

function prism_test005()
{
   echo " -- TEST IMAGING of FITS IMAGE FILE" >>  $OUTFILE 
   echo "" >>  $OUTFILE
   xpaset -p prism file $INDIR/contour_small.fits >> $OUTFILE
   sleep $SLEEP_DURATION
   xpaget prism file >>  $OUTFILE
   echo "" >> $OUTFILE
   xpaget prism tab -count >>  $OUTFILE
   echo "" >> $OUTFILE

   ds9exists=`xpaaccess ds9`

   xpaset -p prism image

   sleep $SLEEP_DURATION

   echo " Check image in ds9... " >> $OUTFILE
   echo "" >> $OUTFILE
   xpaget ds9 file >> $OUTFILE

   if  [ "$ds9exists" = "no" ] ; then
      xpaset -p ds9 quit
   fi
   xpaget prism quit
}

function prism_test006()
{
   echo " -- TEST IMAGING of FITS TABLE FILE" >>  $OUTFILE 
   echo "" >>  $OUTFILE
   xpaset -p prism file $INDIR/lev1_sample.fits >> $OUTFILE
   sleep $SLEEP_DURATION
   xpaget prism file >>  $OUTFILE
   echo "" >> $OUTFILE
   xpaget prism tab -count >>  $OUTFILE
   echo "" >> $OUTFILE

   ds9exists=`xpaaccess ds9`

   xpaset -p prism image

   sleep $SLEEP_DURATION

   echo " Check image in ds9... " >> $OUTFILE
   echo "" >> $OUTFILE
   xpaget ds9 file >> $OUTFILE
   if  [ "$ds9exists" = "no" ] ; then
      xpaset -p ds9 quit
   fi
   xpaget prism quit
}
